%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-vswitch
Version:        8.4.0
Release:        6%{?dist}
Summary:        A module for providing things (ports, bridges) to vSwitches (OVS)
License:        ASL 2.0

URL:            https://launchpad.net/puppet-vswitch

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=8.4.0
Patch0001: 0001-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0002: 0002-Provide-option-to-disable-EMC-in-puppet-vswitch.patch
Patch0003: 0003-OVS-Revalidator-and-handler-threads-config.patch
Patch0004: 0004-Fix-the-undefined-method-chomp-for-nil-NilClass-erro.patch
Patch0005: 0005-Add-version_requirement-for-kmod-in-metadata.json.patch
Patch0006: 0006-Remove-PE-requirement-from-metadata.json.patch

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
A module for providing things (ports, bridges) to vSwitches (OVS)

%prep
%setup -q -n openstack-vswitch-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/vswitch/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/vswitch/



%files
%{_datadir}/openstack-puppet/modules/vswitch/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 8.4.0-6
- Remove PE requirement from metadata.json

* Thu Oct 03 2019 Steve Linabery <slinaber@redhat.com> 8.4.0-5
- Add version_requirement for kmod in metadata.json
- Revert "Adjust whitespace metadata.json"

* Thu Sep 19 2019 Maciej Józefczyk <mjozefcz@redhat.com> 8.4.0-4
- Fix the undefined method 'chomp' for nil:NilClass error seen with ovs 2.10 (rhbz#1753533)

* Tue Sep 10 2019 hakhande <hakhande@redhat.com> 8.4.0-3
- OVS Revalidator and handler threads config (rhbz#1738753)

* Thu May 09 2019 Yogananth subramanian <ysubrama@redhat.com> 8.4.0-2
- Provide option to disable EMC in puppet-vswitch (rhbz#1701901)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 8.4.0-1
- Update to 8.4.0
- Update Gemfile to pull spec_helper from stable/queens

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0
